<?php
/*
-----------------------------------------
Автор: -=КотЭ=-(-=MTV=-) и Shot(Robber)
Бесплатный WAP движок: Strongcms
Контакты: 0664452670(МТС) ибо ICQ(7296000)
Файл: cod.php
-------------------------------------------
*/
//-----Создаем титл страницы-----//
$title = 'Полезные коди';
//-----Подключаем функции-----//
require_once ('system/function.php');
//-----Подключаем вверх-----//
require_once ('system/header.php');

if(!isset($user['id'])) {
echo err($title, '
Уважаемый посетитель, Вы зашли на сайт как незарегистрированный пользователь.<br/>
Мы рекомендуем Вам зарегистрироваться либо войти на сайт под своим именем.
');
require_once ('system/footer.php'); exit;
}

$act = isset($_GET['act']) ? $_GET['act'] : null;
switch($act)
{
default:
echo '<div class="title">Полезные коди</div>';

echo '<div class="links">
<img src="'.$HOME.'/images/mycod.png" alt="*" /> Мои: <a href="'.$HOME.'/cod/mycod/">полезные коды</a> | <a href="'.$HOME.'/cod/mycom/">комментарии</a><br />
<img src="'.$HOME.'/images/search_meta.png" alt="*" /> <a href="'.$HOME.'/cod/search_meta/">Поиск по меткам</a>
</div>';

if (empty($user['max'])) $user['max']=10;
$max = 20;
$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `cod_r`"),0);
$k_page = k_page($k_post,$max);
$page = page($k_page);
$start = $max*$page-$max;

$cod_r = mysql_query("SELECT * FROM `cod_r` ORDER BY `id` DESC LIMIT $start, $max");
while($bl = mysql_fetch_assoc($cod_r))
{
echo '<div class="podmenu"><img src="'.$HOME.'/images/dir.png" alt="*" /> <a href="'.$HOME.'/cod/razdel_'.$bl['id'].'">'.$bl['name'].'</a> ('.mysql_result(mysql_query("SELECT COUNT(id) FROM `cod_stat` WHERE `razdel` = '".$bl['id']."'"),0).')';
if($user['level'] == 3) {echo ' [<a href="'.$HOME.'/cod/delrazdel_'.$bl['id'].'">уд.</a>|<a href="'.$HOME.'/cod/uprazdel_'.$bl['id'].'">ред.</a>]';}
echo '</div>';
}

if($k_post < 1) echo '<div class="podmenu"><center><b>Разделов пока нет!</b></center></div>';
if($user['level'] >= 3) echo '<div class="links"><img src="'.$HOME.'/images/add.png" alt="*" /> <a href="'.$HOME.'/cod/addrazdel/"><b>Создать раздел</b></a></div>';
if($k_page>1) echo str(''.$HOME.'/cod/?',$k_page,$page); // Вывод страниц

break;
case 'delrazdel':

$id = abs(intval($_GET['id']));
$cod = mysql_fetch_assoc(mysql_query("SELECT * FROM `cod_r` WHERE `id` = '".$id."'"));
$cod_c = mysql_fetch_assoc(mysql_query("SELECT * FROM `cod_stat` WHERE `id` = '".$cod['razdel']."'"));

if($cod == 0) {
echo '<div class="title">Полезные коды| Ошибка</div><div class="podmenu"><center><b>Такой раздел не существует!</b></center></div>';
require_once ('system/footer.php');
exit();
}

if($user['level'] != 3) {
header('Location: '.$HOME.'/cod/');
exit();
}

if(isset($_REQUEST['okdel'])) {
mysql_query("DELETE FROM `cod_stat` WHERE `razdel` = '".$cod['id']."'");
mysql_query("DELETE FROM `cod_r` WHERE `id` = '".$cod['id']."'");
mysql_query("DELETE FROM `cod_com` WHERE `cod` = '".$cod_c['id']."'");
header('Location: '.$HOME.'/cod/');
exit();
}

echo '<div class="title"><a href="'.$HOME.'/cod/">Полезные коды</a> | Удалить раздел</div>
<div class="podmenu">Вы действительно хотите удалить этот раздел?<br /><a href="'.$HOME.'/cod/delrazdel_'.$cod['id'].'?okdel">Да</a></div>';

break;
case 'uprazdel':

$id = abs(intval($_GET['id']));
$cod = mysql_fetch_assoc(mysql_query("SELECT * FROM `cod_r` WHERE `id` = '".$id."'"));

if($cod == 0) {
echo '<div class="title">Полезные коды| Ошибка</div><div class="podmenu"><center><b>Такой раздел не существует!</b></center></div>';
require_once ('system/footer.php');
exit();
}

if($user['level'] != 3) {
header('Location: '.$HOME.'/cod/');
exit();
}

if(isset($_REQUEST['okup'])) {

$name = strong($_POST['name']);

if(empty($name)) {
echo '<div class="podmenu"><center><b>Введите название раздела!</b></center></div>';
require_once ('system/footer.php');
exit();
}

if(mb_strlen($name) < 3 or mb_strlen($name) > 9999) {
echo '<div class="podmenu"><center><b>Введите название от 3 до 30 символов!</b></center></div>';
require_once ('system/footer.php');
exit();
}

mysql_query("UPDATE `cod_r` SET `name` = '".$name."' WHERE `id` = '".$cod['id']."'");
header('Location: '.$HOME.'/cod/');
exit();
}

echo '<div class="title"><a href="'.$HOME.'/cod/">Полезные коды</a> | Редактировать раздел</div>';
echo '<div class="podmenu">Название раздела должно быть от 3-х до 30-ти символов!</div><div class="podmenu">
<form action="" method="POST">
*Название раздела:<br /><input type="text" name="name" maxlength="30"><br />
<input type="submit" name="okup" value="Изменить" />
</form></div>';

break;
case 'addr':

if($user['level'] < 3) {
header('Location: '.$HOME.'/cod/');
exit();
}

echo '<div class="title">Полезные коды| Новый раздел</div>';

if(isset($_REQUEST['ok'])) {

$name = strong($_POST['name']);

if(empty($name)) {
echo '<div class="podmenu"><center><b>Введите название раздела!</b></center></div>';
require_once ('system/footer.php');
exit();
}

if(mb_strlen($name) < 3 or mb_strlen($name) > 9999) {
echo '<div class="podmenu"><center><b>Введите название от 3 до 30 символов!</b></center></div>';
require_once ('system/footer.php');
exit();
}

$bn = mysql_fetch_array(mysql_query('select * from `cod_r` where  `name` = "'.$name.'"'));
if($bn != 0) {
echo '<div class="podmenu"><center><b>Такой раздел уже существует!</b></center></div>';
require_once ('system/footer.php');
exit();
}

mysql_query("INSERT INTO `cod_r` SET `name` = '".$name."'");
echo '<div class="podmenu"><center><b>Раздел успешно создан!</b></center></div>';
}

echo '<div class="podmenu">
<form action="" method="POST">
*Название раздела:<br /><input type="text" name="name" maxlength="30" /><br />
<input type="submit" name="ok" value="Создать">
</form></div>';

echo '<div class="links">» <a href="'.$HOME.'/cod/">В Полезные коды</a></div>';

break;
case 'razdel':

$id = abs(intval($_GET['id']));
$cod = mysql_fetch_assoc(mysql_query("SELECT * FROM `cod_r` WHERE `id` = '".$id."'"));

if($cod == 0) {
echo '<div class="title">Полезные коды| Ошибка</div><div class="podmenu"><center><b>Такого раздела не существует!</b></center></div>';
require_once ('system/footer.php');
exit();
}

echo '<div class="title"><a href="'.$HOME.'/cod/">Полезные коды</a> | '.$cod['name'].'</div>';
echo '<div class="links"><img src="'.$HOME.'/images/add.png" alt="*" /> <a href="'.$HOME.'/cod/addcod_'.$id.'"><b>Написать</b></a></div>';
if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `cod_stat` WHERE `razdel` = '".$id."'"),0);
$k_page = k_page($k_post,$max);
$page = page($k_page);
$start = $max*$page-$max;

$cod_stat = mysql_query("SELECT * FROM `cod_stat` WHERE `razdel` = '".$id."' ORDER BY `time` DESC LIMIT $start, $max");
while($bs = mysql_fetch_assoc($cod_stat))
{
echo '<div class="podmenu">
<img src="'.$HOME.'/images/stat.png" alt="*" /> <a href="'.$HOME.'/cod/stat_'.$bs['id'].'">'.$bs['titlename'].'</a>
<br />
</div>';
}

if($k_post < 1) echo '<div class="podmenu"><center><b>В этом разделе еще нет кодов!</b></center></div>';
if($k_page>1) echo str(''.$HOME.'/cod/razdel_'.$id.'?',$k_page,$page); // Вывод страниц

break;
case 'addcod':

$id = abs(intval($_GET['id']));
$cod = mysql_fetch_assoc(mysql_query("SELECT * FROM `cod_r` WHERE `id` = '".$id."'"));

if($cod == 0) {
echo '<div class="title">Полезные коды| Ошибка</div><div class="podmenu"><center><b>Такого раздела не существует!</b></center></div>';
require_once ('system/footer.php');
exit();
}

echo '<div class="title"><a href="'.$HOME.'/cod/">Полезные коды</a> | Написать</div>';

if(isset($_REQUEST['ok'])) {

$titlename = strong($_POST['titlename']);
$text = strong($_POST['msg']);
$meta = strong($_POST['meta']);

if(empty($titlename)) {
echo '<div class="podmenu"><center><b>Введите заголовок блога!</b></center></div>';
require_once ('system/footer.php');
exit();
}



if(empty($text)) {
echo '<div class="podmenu"><center><b>Введите текст блога!</b></center></div>';
require_once ('system/footer.php');
exit();
}

if(mb_strlen($text) < 3) {
echo '<div class="podmenu"><center><b>Введите текст блога от 3 символов!</b></center></div>';
require_once ('system/footer.php');
exit();
}





$bn = mysql_fetch_array(mysql_query('select * from `cod_stat` where  `titlename` = "'.$titlename.'" and `text` = "'.$text.'"'));
if($bn != 0) {
echo '<div class="podmenu"><center><b>Такой блог уже существует!</b></center></div>';
require_once ('system/footer.php');
exit();
}

mysql_query("INSERT INTO `cod_stat` SET `titlename` = '".$titlename."', `text` = '".$text."', `meta` = '".$meta."', `razdel` = '".$id."', `avtor` = '".$user['id']."', `time` = '".time()."', `readlen` = '0'");
$self = mysql_insert_id();
header('Location: '.$HOME.'/cod/stat_'.$self.'');
exit();
}

echo '
<div class="podmenu"><form action="" name="message" method="POST">
*Заголовок:<br /><input type="text" name="titlename" maxlength="100" /><br />
*Текст:<br />';
if($user['bb_panel'] == 1) {
require_once ('system/bbcode.php');  
}echo '<textarea name="msg"></textarea><br />
<input type="submit" name="ok" value="Написать" />
</form></div>
<div class="links">» <a href="'.$HOME.'/cod/razdel_'.$id.'">В разделы</a></div>';

break;
case 'stat':

$id = abs(intval($_GET['id']));
$cod = mysql_fetch_assoc(mysql_query("SELECT * FROM `cod_stat` WHERE `id` = '".$id."'"));

if($cod == 0) {
echo '<div class="title">Полезные коды| Ошибка</div><div class="podmenu"><center><b>Такой статьи не существует!</b></center></div>';
require_once ('system/footer.php');
exit();
}

/*** Упдейт ***/
mysql_query("UPDATE `cod_stat` SET `readlen` = `readlen`+1 WHERE `id` = '".$cod['id']."'");
/*** Упдейт ***/

echo '<div class="title"><a href="'.$HOME.'/cod/">Полезные коды</a> | Статья</div>';

if(isset($_REQUEST['update'])) {

if($user['id'] != $cod['avtor'] && $user['level'] < 1) {
header('Location: '.$HOME.'/cod/stat_'.$cod['id'].'');
exit();
}

if(isset($_REQUEST['okup'])) {

$titlename = strong($_POST['titlename']);
$text = strong($_POST['msg']);
$meta = strong($_POST['meta']);

if(empty($titlename)) {
echo '<div class="podmenu"><center><b>Введите заголовок блога!</b></center></div>';
require_once ('system/footer.php');
exit();
}

if(mb_strlen($titlename) < 3 or mb_strlen($titlename) > 100) {
echo '<div class="podmenu"><center><b>Введите заголовок блога от 3 до 100 символов!</b></center></div>';
require_once ('system/footer.php');
exit();
}

if(empty($text)) {
echo '<div class="podmenu"><center><b>Введите текст блога!</b></center></div>';
require_once ('system/footer.php');
exit();
}

if(mb_strlen($text) < 3) {
echo '<div class="podmenu"><center><b>Введите текст блога от 3 символов!</b></center></div>';
require_once ('system/footer.php');
exit();
}



if(mb_strlen($meta) < 3 or mb_strlen($meta) > 100) {
echo '<div class="podmenu"><center><b>Введите метки для блога от 3 до 100 символов!</b></center></div>';
require_once ('system/footer.php');
exit();
}

$bn = mysql_fetch_array(mysql_query('select * from `cod_stat` where  `titlename` = "'.$titlename.'" and `text` = "'.$text.'"'));
if($bn != 0) {
echo '<div class="podmenu"><center><b>Такой код уже существует!</b></center></div>';
require_once ('system/footer.php');
exit();
}

mysql_query("UPDATE `cod_stat` SET `titlename` = '".$titlename."', `text` = '".$text."', `meta` = '".$meta."' WHERE `id` = '".$cod['id']."'");
header('Location: '.$HOME.'/cod/stat_'.$cod['id'].'');
exit();
}

echo '
<div class="podmenu"><form action="" name="message" method="POST">
*Заголовок:<br /><input type="text" name="titlename" maxlength="100" value="'.$cod['titlename'].'" /><br />
*Текст:<br />';
if($user['bb_panel'] == 1) {
require_once ('system/bbcode.php');  
}
echo '<textarea name="msg">'.bb($cod['text']).'</textarea><br />
Метки:<br /><input type="text" name="meta" maxlength="100" value="'.$cod['meta'].'" /><br />
<input type="submit" name="okup" value="Изменить" />
</form></div>
<div class="links">» <a href="'.$HOME.'/cod/stat_'.$cod['id'].'">Назад</a></div>';

require_once ('system/footer.php');
exit();
}

if(isset($_REQUEST['delete'])) {

if($user['id'] != $cod['avtor'] && $user['level'] < 1) {
header('Location: '.$HOME.'/cod/stat_'.$cod['id'].'');
exit();
}

mysql_query("DELETE FROM `cod_stat` where `id` = '".$cod['id']."'");
mysql_query("DELETE FROM `cod_com` where `cod` = '".$cod['id']."'");
header('Location: '.$HOME.'/cod/');
exit();
}

if($user['id'] == $cod['avtor'] or $user['level'] > 1) echo '<div class="podmenu"><center><a href="'.$HOME.'/cod/stat_'.$id.'?update"><b>Редактировать</b></a> | <a href="'.$HOME.'/cod/stat_'.$id.'?delete"><b>Удалить</b></a></center></div>';

echo '<div class="podmenu">
<img src="'.$HOME.'/images/stat.png" alt="*" /> <b>'.$cod['titlename'].'</b>
</div><div class="podmenu"><code>
'.$cod['text'].'</code>
</div>
<div class="podmenu">
Автор: '.nick($cod['avtor']).' ('.vremja($cod['time']).')<br />
<img src="'.$HOME.'/images/aug.png" alt="*" /> Просмотров: '.$cod['readlen'].'
<br />
<a href="'.$HOME.'/cod/comment_'.$cod['id'].'">Комментарии</a> ('.mysql_result(mysql_query("SELECT COUNT(id) FROM `cod_com` WHERE `cod` = '".$cod['id']."'"),0).')
<br />';

$reit_a = mysql_fetch_array(mysql_query('select * from `cod_reit` where `stat` = '.$id.' and `kto` = "'.$user['id'].'"'));

$reit = mysql_result(mysql_query('select count(`id`) from `cod_reit` where `stat`= "'.$id.'" and `r` = "1"'),0)
-
mysql_result(mysql_query('select count(`id`) from `cod_reit` where  `stat`= "'.$id.'" and `r` = "2"'),0);

echo 'Рейтинг: ';
if($user['id'] != $cod['avtor'] && $reit_a == 0) echo '<a href="'.$HOME.'/cod/plus_stat'.$cod['id'].'"><img src="'.$HOME.'/images/plus.png" alt="*" /></a> ';

if($reit < 0) echo '<font color="red"><b>'.$reit.'</b></font>';
if($reit == 0) echo '<font color="red"><b>0</b></font>';
if($reit > 0)  echo '<font color="green"><b>'.$reit.'</b></font>';

if($user['id'] != $cod['avtor'] && $reit_a == 0) echo ' <a href="'.$HOME.'/cod/minus_stat'.$cod['id'].'"><img src="'.$HOME.'/images/minus.png" alt="*" /></a>';

echo '</div>';

break;
case 'plus':

$id = abs(intval($_GET['id']));
$cod = mysql_fetch_assoc(mysql_query("SELECT * FROM `cod_stat` WHERE `id` = '".$id."'"));
$reit_a = mysql_fetch_array(mysql_query('select * from `cod_reit` where `stat` = '.$id.' and `kto` = "'.$user['id'].'"'));

if($user['id'] != $cod['avtor'] && $reit_a == 0) {
mysql_query("INSERT INTO `cod_reit` SET `stat` = '".$id."', `kto` = '".$user['id']."', `r` = '1' ");
header('Location: '.$HOME.'/cod/stat_'.$id.'');
exit();
} else {
header('Location: '.$HOME.'/cod/stat_'.$id.'');
exit();
}

break;
case 'minus':

$id = abs(intval($_GET['id']));
$cod = mysql_fetch_assoc(mysql_query("SELECT * FROM `cod_stat` WHERE `id` = '".$id."'"));
$reit_a = mysql_fetch_array(mysql_query('select * from `cod_reit` where `stat` = '.$id.' and `kto` = "'.$user['id'].'"'));

if($user['id'] != $cod['avtor'] && $reit_a == 0) {
mysql_query("INSERT INTO `cod_reit` SET `stat` = '".$id."', `kto` = '".$user['id']."', `r` = '2' ");
header('Location: '.$HOME.'/cod/stat_'.$id.'');
exit();
} else {
header('Location: '.$HOME.'/cod/stat_'.$id.'');
exit();
}

break;
case 'comment':

$id = abs(intval($_GET['id']));
$cod = mysql_fetch_assoc(mysql_query("SELECT * FROM `cod_stat` WHERE `id` = '".$id."'"));

if($cod == 0) {
echo '<div class="title">Полезные коды| Ошибка</div><div class="podmenu"><center><b>Такой статтьи не существует!</b></center></div>';
require_once ('system/footer.php');
exit();
}

echo '<div class="title"><a href="'.$HOME.'/cod/">Полезные коды</a> | Комментарии</div>';

if(isset($_REQUEST['ok'])) {

$msg = strong($_POST['msg']);

if(empty($msg)) {
echo '<div class="podmenu"><center><b>Введите сообщение!</b></center></div>';
require_once ('system/footer.php');
exit();
}

if(mb_strlen($msg) < 3) {
echo '<div class="podmenu"><center><b>Введите сообщение от 3-х символов!</b></center></div>';
require_once ('system/footer.php');
exit();
}

$ttte = mysql_fetch_array(mysql_query('select * from `cod_com` where `avtor` = "'.$user['id'].'" and `msg` = "'.$msg.'"'));
if($ttte != 0) {
echo '<div class="podmenu"><center><b>Вы такое сообщение уже писали!</b></center></div>';
require_once ('system/footer.php');
exit();
}

$tim = mysql_query("SELECT * FROM `cod_com` WHERE `avtor`='".$user['id']."' ORDER BY `time` DESC");
while($ncm2 = mysql_fetch_assoc($tim)){  
$news_antispam = mysql_fetch_assoc(mysql_query("SELECT * FROM `antispam`"));
$ncm_timeout = $ncm2['time'];
if((time()-$ncm_timeout) < $news_antispam['cod'])
{
echo '<div class="podmenu"><center><b>Пишите не чаще чем раз в '.$news_antispam['cod'].' секунд!</b></center></div>';
require_once ('system/footer.php');
exit();
}
}

mysql_query("INSERT INTO `cod_com` SET `msg` = '".$msg."', `avtor` = '".$user['id']."', `cod` = '".$cod['id']."', `avtorlogin` = '".$user['login']."', `time` = '".time()."'");
if($user['id'] != $cod['avtor'])
{
mysql_query("INSERT INTO `lenta` SET `readlen` = '0', `time` = '".time()."', `komy` = '".$cod['avtor']."', `kto` = '".$user['id']."', `text` = 'написал комментарий к вашему [url=".$HOME."/cod/comment_".$cod['id']."]блогу[/url]'");
}
header('Location: '.$HOME.'/cod/comment_'.$cod['id'].'');
exit();
}

echo '<div class="podmenu">
<img src="'.$HOME.'/images/stat.png" alt="*" /> <b>'.$cod['titlename'].'</b> <br />'.$cod['text'].'
</div>';

echo '<div class="podmenu"><form action="" name="message" method="POST">
*Сообщение:<br />';
if($user['bb_panel'] == 1) {
require_once ('system/bbcode.php');  
}
echo '<textarea name="msg"></textarea><br />
<input type="submit" name="ok" value="Написать" />
</form></div>';

if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `cod_com` WHERE `cod` = '".$cod['id']."'"),0);
$k_page = k_page($k_post,$max);
$page = page($k_page);
$start = $max*$page-$max;

$com = mysql_query("SELECT * FROM `cod_com` WHERE `cod` = '".$cod['id']."' ORDER BY `time` DESC LIMIT $start, $max");
while($c = mysql_fetch_assoc($com))
{
echo '<div class="links">'.nick($c['avtor']).' ('.vremja($c['time']).')';

if($user['id'] != $c['avtor']) {echo ' [<a href="'.$HOME.'/cod/otvet_'.$c['id'].'">отв</a>]';}
if($user['level'] > 1) {echo '[<a href="'.$HOME.'/cod/delmsg_'.$c['id'].'">уд</a>]';}

echo '</div><div class="podmenu">'.bb($c['msg']).'</div>';
}

if($k_post < 1) echo '<div class="podmenu"><center><b>Комментарий пока нет!</b></center></div>';

echo '<div class="links">» <a href="'.$HOME.'/cod/stat_'.$cod['id'].'">Назад</a></div>';

if($k_page>1) echo str(''.$HOME.'/cod/comment_'.$cod['id'].'/?',$k_page,$page); // Вывод страниц

break;
case 'delmsg':

$id = abs(intval($_GET['id']));
$cod = mysql_fetch_assoc(mysql_query("SELECT * FROM `cod_com` WHERE `id` = '".$id."'"));

if($cod == 0) {
echo '<div class="title"><a href="'.$HOME.'/cod/">Полезные коды</a> | Ошибка</div><div class="podmenu"><center><b>Такого комментария не существует!</b></center></div>';
require_once ('system/footer.php');
exit();
}

if($user['level'] < 1) {
header('Location: '.$HOME.'/cod/comment_'.$cod[cod].'');
exit();
}

if(isset($_REQUEST['okdelmsg'])) {
mysql_query("DELETE FROM `cod_com` where `id` = '".$cod['id']."'");
header('Location: '.$HOME.'/cod/comment_'.$cod[cod].'');
exit();
}

echo '<div class="title"><a href="'.$HOME.'/cod/">Полезные коды</a> | Удалить комментарий</div>
<div class="podmenu">Вы действительно хотите удалить этот комментарий?<br /><a href="'.$HOME.'/cod/delmsg_'.$cod['id'].'?okdelmsg">Да</a></div>';

break;
case 'otvet':

$id = abs(intval($_GET['id']));
$cod = mysql_fetch_assoc(mysql_query("SELECT * FROM `cod_com` WHERE `id` = '".$id."'"));

if($cod == 0) {
echo '<div class="title"><a href="'.$HOME.'/cod/">Полезные коды</a> | Ошибка</div><div class="podmenu"><center><b>Такого комментария не существует!</b></center></div>';
require_once ('system/footer.php');
exit();
}

if($user['id'] == $cod['avtor']) {
header('Location: '.$HOME.'/cod/comment_'.$cod['cod'].'');
exit();
}

echo '<div class="title"><a href="'.$HOME.'/cod/">Полезные коды</a> | Ответ</div>';

if(isset($_REQUEST['ok'])) {

$msg = strong($_POST['msg']);

if(empty($msg)) {
echo '<div class="podmenu"><center><b>Введите сообщение!</b></center></div>';
require_once ('system/footer.php');
exit();
}

if(mb_strlen($msg) < 3) {
echo '<div class="podmenu"><center><b>Введите сообщение от 3-х символов!</b></center></div>';
require_once ('system/footer.php');
exit();
}

$ttte = mysql_fetch_array(mysql_query('select * from `cod_com` where `avtor` = "'.$user['id'].'" and `msg` = "'.$msg.'"'));
if($ttte != 0) {
echo '<div class="podmenu"><center><b>Вы такое сообщение уже писали!</b></center></div>';
require_once ('system/footer.php');
exit();
}

$tim = mysql_query("SELECT * FROM `cod_com` WHERE `avtor`='".$user['id']."' ORDER BY `time` DESC");
while($ncm2 = mysql_fetch_assoc($tim)){  
$news_antispam = mysql_fetch_assoc(mysql_query("SELECT * FROM `antispam`"));
$ncm_timeout = $ncm2['time'];
if((time()-$ncm_timeout) < $news_antispam['cod'])
{
echo '<div class="podmenu"><center><b>Пишите не чаще чем раз в '.$news_antispam['cod'].' секунд!</b></center></div>';
require_once ('system/footer.php');
exit();
}
}

mysql_query("INSERT INTO `cod_com` SET `msg` = '[b]".$cod['avtorlogin'].",[/b]".$msg."', `avtor` = '".$user['id']."', `cod` = '".$cod['cod']."', `avtorlogin` = '".$user['login']."', `time` = '".time()."'");
mysql_query("INSERT INTO `lenta` SET `readlen` = '0', `time` = '".time()."', `komy` = '".$cod['avtor']."', `kto` = '".$user['id']."', `text` = 'ответил на Ваш комментариий к [url=".$HOME."/cod/comment_".$cod['cod']."]блогу[/url]'");
header('Location: '.$HOME.'/cod/comment_'.$cod['cod'].'');
exit();
}

echo '<div class="podmenu">Ответ: '.nick($cod['avtor']).'</div>';
echo '<div class="podmenu">
<form action="" name="message" method="POST">
*Сообщение:<br />';
if($user['bb_panel'] == 1) {
require_once ('system/bbcode.php');  
}
echo '<textarea name="msg"></textarea><br />
<input type="submit" name="ok" value="Написать" />
</form></div>';

echo '<div class="links">» <a href="'.$HOME.'/cod/comment_'.$cod['cod'].'">Назад</a></div>';

break;
case 'mycod':

echo '<div class="title"><a href="'.$HOME.'/cod/">Полезные коды</a> | Мои Полезные коды</div>';
if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `cod_stat` WHERE `avtor` = '".$user['id']."'"),0);
$k_page = k_page($k_post,$max);
$page = page($k_page);
$start = $max*$page-$max;

$my = mysql_query("SELECT * FROM `cod_stat` WHERE `avtor` = '".$user['id']."' ORDER BY `time` DESC LIMIT $start, $max");
while($m = mysql_fetch_assoc($my))
{
echo '<div class="podmenu"><img src="'.$HOME.'/images/stat.png" alt="*" /> <a href="'.$HOME.'/cod/stat_'.$m['id'].'"><b>'.$m['titlename'].'</b></a><br />
Автор: '.nick($m['avtor']).' ('.vremja($m['time']).')<br />
Просмотров: '.$m['readlen'].'<br />
<a href="'.$HOME.'/cod/comment_'.$m['id'].'">Комментарии</a> ('.mysql_result(mysql_query("SELECT COUNT(id) FROM `cod_com` WHERE `cod` = '".$m['id']."'"),0).')
</div>';
}

if($k_post < 1) echo '<div class="podmenu"><center><b>Ваших блогов пока нет!</b></center></div>';
if($k_page>1) echo str(''.$HOME.'/cod/mycod/?',$k_page,$page); // Вывод страниц

echo '<div class="links">» <a href="'.$HOME.'/cod/">Назад в Полезные коды</a></div>';

break;
case 'mycom':

echo '<div class="title"><a href="'.$HOME.'/cod/">Полезные коды</a> | Мои комментарии</div>';

if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `cod_com` WHERE `avtor` = '".$user['id']."'"),0);
$k_page = k_page($k_post,$max);
$page = page($k_page);
$start = $max*$page-$max;

$mycom = mysql_query("SELECT * FROM `cod_com` WHERE `avtor` = '".$user['id']."' ORDER BY `id` DESC LIMIT $start, $max");
while($m = mysql_fetch_assoc($mycom))
{
$cod = mysql_fetch_assoc(mysql_query("SELECT * FROM `cod_stat` WHERE `id` = '".$m['cod']."'"));
echo '<div class="links">
'.nick($m['avtor']).' ('.vremja($m['time']).')<br />
<img src="'.$HOME.'/images/stat.png" alt="*" /> <a href="'.$HOME.'/cod/stat_'.$cod['id'].'">'.$cod['titlename'].'</a>
</div>
<div class="podmenu">
'.bb($m['msg']).'
</div>';
}

if($k_post < 1) echo '<div class="podmenu"><center><b>Ваших комментарий пока нет!</b></center></div>';
if($k_page>1) echo str(''.$HOME.'/cod/mycom/?',$k_page,$page); // Вывод страниц

echo '<div class="links">» <a href="'.$HOME.'/cod/">Назад в Полезные коды</a></div>';

break;
case 'search_m':

echo '<div class="title"><a href="'.$HOME.'/cod/">Полезные коды</a> | Поиск</div>
<div class="podmenu">Вводите метку от 2-х до 100-а символов!</div>
<div class="podmenu"><form action="" method="POST">
*Метки поиска:<br /><input type="text" name="met" maxlength="100" /><br />
<input type="submit" name="ok" value="Искать" />
</form></div>';

if(isset($_REQUEST['ok'])) {

$met = strong($_POST['met']);

if(empty($met)) {
echo '<div class="podmenu"><center><b>Введите метки поиска!</b></center></div>';
require_once ('system/footer.php');
exit();
}

if(strlen($met) < 3 or mb_strlen($met) > 100) {
echo '<div class="podmenu"><center><b>Введите метку от 2-х до 100-а символов!</b></center></div>';
require_once ('system/footer.php');
exit();
}

//***** Записуем поиски *****//
mysql_query("INSERT INTO `cod_search` SET `meta` = '".$met."', `kto`  = '".$user['login']."'");
//***** Записуем поиски *****//

echo '<div class="menu">Результаты поиска:</div>';

$search = mysql_query("SELECT * FROM `cod_stat` where `meta` LIKE '%".$met."%' ORDER BY `time` DESC ");
$sql = mysql_result(mysql_query("SELECT COUNT(*) FROM `cod_stat` where `meta` LIKE '%".$met."%' "),0);

while($s = mysql_fetch_assoc($search)){
echo '<div class="podmenu"><img src="'.$HOME.'/images/stat.png" alt="*" /> <a href="'.$HOME.'/cod/stat_'.$s['id'].'">'.$s['titlename'].'</a>
<br />
Автор: '.nick($s['avtor']).' ('.vremja($s['time']).')<br />
Просмотров: '.$s['readlen'].'<br />
<a href="'.$HOME.'/cod/comment_'.$s['id'].'">Комментарии</a> ('.mysql_result(mysql_query("SELECT COUNT(id) FROM `cod_com` WHERE `cod` = '".$s['id']."'"),0).')
</div>';
}
}

/* Если никого на нашли */
if($sql == 0) echo '<div class="podmenu"><center><b>По вашему запросу ничего не найдено!</b></center></div>';
/* Если никого на нашли */

echo '<div class="menu"><img src="'.$HOME.'/design/gradient/lol.png" alt="*" />Последние запросы:</div>
<div class="podmenu">';
$chet = mysql_result(mysql_query("SELECT COUNT(id) FROM `cod_search`"),0);
$ps = mysql_query("SELECT * FROM `cod_search` ORDER BY `id` DESC LIMIT 4");
while($p = mysql_fetch_assoc($ps))
{
echo ''.$p['meta'].' (искал: '.$p['kto'].')<br />';
}
echo '</div>';

if($chet == 0) echo '<div class="podmenu"><center><b>Еще нечего не искали!</b></center></div>';
break;
}

//-----Подключаем низ-----//
require_once ('system/footer.php');
?>